summaryrefslogtreecommitdiff
path: root/db/test/scr010/chk.str
diff options
context:
space:
mode:
Diffstat (limited to 'db/test/scr010/chk.str')
-rw-r--r--db/test/scr010/chk.str31
1 files changed, 31 insertions, 0 deletions
diff --git a/db/test/scr010/chk.str b/db/test/scr010/chk.str
new file mode 100644
index 000000000..15eb9c299
--- /dev/null
+++ b/db/test/scr010/chk.str
@@ -0,0 +1,31 @@
+#!/bin/sh -
+#
+# Id: chk.str,v 1.5 2001/10/12 17:55:36 bostic Exp
+#
+# Check spelling in quoted strings.
+
+d=../..
+
+[ -f $d/LICENSE ] || {
+ echo 'FAIL: cannot find source distribution directory.'
+ exit 1
+}
+
+t1=__t1
+
+sed -e '/^#include/d' \
+ -e '/revid/d' \
+ -e '/"/!d' \
+ -e 's/^[^"]*//' \
+ -e 's/%s/ /g' \
+ -e 's/[^"]*$//' \
+ -e 's/\\[nt]/ /g' $d/*/*.c $d/*/*.cpp |
+spell | sort | comm -23 /dev/stdin spell.ok > $t1
+
+test -s $t1 && {
+ cat $t1
+ echo "FAIL: found questionable spelling in strings."
+ exit 1
+}
+
+exit 0